%define upstream_name    MooseX-MakeImmutable
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A convenient way to make many Moosen immutable (or mutable) in one shot
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Devel::InnerPackage)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
MooseX::MakeImmutable is a tool for loading every Moose::Object within a
hierarchy and making each immutable/mutable. It uses the Module::Pluggable
manpage for searching and will load both inner and .pm packages.

In a nutshell, if you add a Moose-based package to your object hierarchy,
then MooseX::MakeImmutable, given a proper manifest, will pick it up and
mark it im/mutable (without you having to manually write-out the new
package).

NOTE: The name "MakeImmutable" is a bit of a misnomer, since this package
can both make_immutable AND make_mutable. However, 90% of the time, you'll
probably be using ->make_immutable

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.20.0-8pclos2017
- rebuild against updates

